### Function

# Soup date_time_new_from_http_string

#### Declaration [src]

    GDateTime*
    soup_date_time_new_from_http_string (
      const char* date_string
    )

#### Description [src]

Parses `date_string` and tries to extract a date from it.

This recognizes all of the “HTTP-date” formats from RFC 2616, RFC 2822 dates, and reasonable approximations thereof. (Eg, it is lenient about whitespace, leading “0”s, etc.)

#### Parameters

`date_string` | `const char*`
| The date as a string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GDateTime`
| A new `GDateTime`, or `NULL` if `date_string` could not be parsed.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.